Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.dns
Class AbstractDnsEntryVisitor

    java.lang.Object
      de.knipp.rritoolkit.dns.AbstractDnsEntryVisitor

All Implemented Interfaces:
  DnsEntryVisitor

    public abstract class AbstractDnsEntryVisitor

extends java.lang.Object
implements DnsEntryVisitor

abstract implementation of `DnsEntryVisitor` with all methods empty

Version:
  $Revision: 15112 $
Author:
  Klaus Malorny

Constructor Summary
`AbstractDnsEntryVisitor()`

Method Summary
`void` | `visit(DnsEntryA entry)` visited by a DnsEntryA instance
`void` | `visit(DnsEntryAAAA entry)` visited by a DnsEntryAAAA instance
`void` | `visit(DnsEntryDNSKEY entry)` visited by a DnsEntryDNSKEY instance
`void` | `visit(DnsEntryMX entry)` visited by a DnsEntryMX instance
`void` | `visit(DnsEntryNS entry)` visited by a DnsEntryA instance

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDnsEntryVisitor

    public AbstractDnsEntryVisitor()

Method Detail

### visit

    public void visit(DnsEntryA entry)

  visited by a DnsEntryA instance

  Specified by:
    `visit` in interface `DnsEntryVisitor`
  Parameters:
    `entry` - the entry

### visit

    public void visit(DnsEntryAAAA entry)

  visited by a DnsEntryAAAA instance

  Specified by:
    `visit` in interface `DnsEntryVisitor`
  Parameters:
    `entry` - the entry

### visit

    public void visit(DnsEntryMX entry)

  visited by a DnsEntryMX instance

  Specified by:
    `visit` in interface `DnsEntryVisitor`
  Parameters:
    `entry` - the entry

### visit

    public void visit(DnsEntryNS entry)

  visited by a DnsEntryA instance

  Specified by:
    `visit` in interface `DnsEntryVisitor`
  Parameters:
    `entry` - the entry

### visit

    public void visit(DnsEntryDNSKEY entry)

  visited by a DnsEntryDNSKEY instance

  Specified by:
    `visit` in interface `DnsEntryVisitor`
  Parameters:
    `entry` - the entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH